package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability589/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkUmsInventoryPublishRequest struct {
	/*
	   1     */
	WdkErpArrivalNotice *domain.AlibabaWdkUmsInventoryPublishWdkErpArrivalNoticeDto `json:"wdk_erp_arrival_notice" required:"true" `
}

func (s *AlibabaWdkUmsInventoryPublishRequest) SetWdkErpArrivalNotice(v domain.AlibabaWdkUmsInventoryPublishWdkErpArrivalNoticeDto) *AlibabaWdkUmsInventoryPublishRequest {
	s.WdkErpArrivalNotice = &v
	return s
}

func (req *AlibabaWdkUmsInventoryPublishRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.WdkErpArrivalNotice != nil {
		paramMap["wdk_erp_arrival_notice"] = util.ConvertStruct(*req.WdkErpArrivalNotice)
	}
	return paramMap
}

func (req *AlibabaWdkUmsInventoryPublishRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
